Fork me on GitHub

Redu Bootstrap



Dependências

Antes de começar a utilizar o Redu Bootstrap, é preciso estar atento aos seguintes requsitios:

jQuery

O bootstrap faz uso do jQuery +1.7.

<script src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
<script>window.jQuery || document.write('<script src="js/vendor/jquery.js"><\/script>')</script>
Suporte específico ao +IE9

Para incluir estilos específicos a versões posteriores (IE9 em diante), como por exemplo gradientes, é preciso que a tag <html> do documento seja definida da seguinte maneira:

<!--[if gt IE 8]><html class="gt-ie8"><![endif]-->
<!--[if gt IE 8]><!--><html><!--<![endif]-->

Desta maneira, a classe .gt-ie8 será aplicada somente para versões acima do IE8. Nos outros navegadores, nenhuma classe será aplicada.

Suporte a CSS3

É preciso utilizar o Modernizr para que, da mesma maneira das classes de suporte ao +IE9, ele adicione as devidas classes a tag <html> para identificar se o navegador tem suporte a algumas funcionalidades do CSS3.

<script src="js/vendor/modernizr.js"></script>
Suporte a fontes

Para incluir fontes como a Museo Sans, é preciso adicionar o seguinte bloco para utilizar o Typekit:

<script src="http://use.typekit.com/lpo4rgu.js"></script>
<script>try{Typekit.load();}catch(e){}</script>

Atenção Tanto o Selectivizr como o Typekit só funcionarão se o site estiver rodando em um servidor (pode ser localhost).

Contribuições

Este projeto é open-source e está aberto a contribuições. Para contribuir acesse o Github do projeto, faça um fork e crie um pull request. Documentação, proposta de funcionalidades e correções de bugs são bem vindos.